Subject: bug#22860: [PATCH] vc-hg: prompt for branch to merge

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 Nov 2019 20:51:26 +0200

> Cc: [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Sat, 23 Nov 2019 20:46:48 +0200
> 
> On 23.11.2019 20:34, Eli Zaretskii wrote:
> >> +*** The Hg (Mercurial) back-end now use tag and branch names instead of
> >> +revision numbers as completion candidates on reading revision.
> > Why "instead of revision numbers"? it sounds like a backward
> > incompatible change.  Can't we use both revision numbers and
> > branch/tag names?
> 
> It's a good change. You could see it in the patch I send yesterday too.
> 
> The user doesn't need completion for revisions, but they can still input 
> them. And for a large repository, listing all revisions is hella slow.

Do we perhaps want an option to get back the old behavior?